<app-single-post *ngFor="let postEl of allPosts$ | async; let i=index" [post]="postEl"></app-single-post>
<button *ngIf="showMoreButton()" (click)="onMorePostsClick()" [disabled]="">Show more posts...</button>